Subject: [netatalk-admins] new admin question: ppds and timeouts

From: [email-masked] (Jason F. McBrayer)
Date: 22 Mar 1999 11:58:55 -0600

I have just set up netatalk on a Debian GNU/Linux system to provide
print services to 5 Macs ranging from a MacIIsi under System 7.1 to a
9600/300 under MacOS 8.1 (everything but the IIsi is running 8.1).
Netatalk seems to be 1.4b2+asun2.1.1, from the package for Debian
2.1. 

I am having a problem with the Macs locking up (under 8.1) or just
timing out (under 7.1).  The printers show up in the chooser under
both System versions, and their status shows up as ``foo is ready and
printing.''

The symptoms of this are (yes, I know the date is silly):

Jan  2 00:45:10 cherokee papd[5776]: child 6726 for "Sharp JX 9600" from 65280.135
Jan  2 00:45:13 cherokee papd[5776]: child 6727 for "Sharp JX 9600" from 65280.135
Jan  2 00:45:17 cherokee papd[5776]: child 6728 for "Sharp JX 9600" from 65280.135
Jan  2 00:45:20 cherokee papd[5776]: child 6729 for "Sharp JX 9600" from 65280.135
Jan  2 00:45:23 cherokee papd[5776]: child 6730 for "Sharp JX 9600" from 65280.135
Jan  2 00:45:26 cherokee papd[5776]: child 6731 for "Sharp JX 9600" from 65280.135
Jan  2 00:45:40 cherokee papd[5776]: child 6736 for "Sharp JX 9600" from 65280.135
Jan  2 00:49:11 cherokee papd[6726]: connection timed out
Jan  2 00:49:11 cherokee papd[5776]: child 6726 exited with 1
Jan  2 00:49:18 cherokee papd[6728]: connection timed out
Jan  2 00:49:18 cherokee papd[5776]: child 6728 exited with 1
Jan  2 00:49:21 cherokee papd[6729]: connection timed out
Jan  2 00:49:21 cherokee papd[5776]: child 6729 exited with 1
Jan  2 00:49:24 cherokee papd[6730]: connection timed out
Jan  2 00:49:24 cherokee papd[5776]: child 6730 exited with 1
Jan  2 00:49:27 cherokee papd[6731]: connection timed out
Jan  2 00:49:27 cherokee papd[5776]: child 6731 exited with 1
Jan  2 00:49:28 cherokee papd[6727]: connection timed out
Jan  2 00:49:29 cherokee papd[5776]: child 6727 exited with 1

As the Mac locks up solid.  This is with a ppd file from
ftp.adobe.com.  The Mac running System 7.1 just starts 1 child, which
times out cleanly (and is reported to do so from the Print Monitor).

If I set up papd.conf without a .ppd file, I get:

Mar 22 11:34:21 cherokee papd[9167]: child 9191 for "Sharp JX 9600" from 65280.135
Mar 22 11:34:22 cherokee papd[9191]: read_ppd .ppd: No such file or directory
Mar 22 11:34:29 cherokee papd[9191]: lp_print queued
Mar 22 11:34:29 cherokee papd[9167]: child 9191 done

and it prints, from the MacOS 8.1 machines; from the System 7.1
machine it still times out.

Could this have anything to do with the format of the .ppd files?
They seem to be DOS text files (CR/LF).

I have searched the archives of this list and the linux-atalk, and
have not found quite the same problem mentioned.

-- 
+----------------------------------------------------------------+
| Jason F. McBrayer              [email-masked] |
| The scalloped tatters of the King in Yellow must hide Yhtill   |   
| forever.                    R.W. Chambers _The King in Yellow_ |